Bug 60167 - Database ranges don't get saved when saving to Excel 97/XP/2003
Summary: Database ranges don't get saved when saving to Excel 97/XP/2003
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS Calc-DataRange
  Show dependency treegraph
 
Reported: 2013-02-01 18:47 UTC by Kohei Yoshida
Modified: 2018-09-15 18:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test doc (7.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-01 18:47 UTC, Kohei Yoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2013-02-01 18:47:33 UTC
Created attachment 74060 [details]
test doc

When saving a document with database range to Excel 97/XP/2003 format, the database range disappears.  That's because Excel didn't support this until 2007.

1. Open the attached ods document,
2. Save it as .xls.
3. Re-open it either in Excel or Calc.
4. You get error in B5.
Comment 1 Kohei Yoshida 2013-02-01 18:52:17 UTC
The tricky part with this is

1) We need to map our database ranges to Excel's Table for 2007 and newer, while mapping perhaps to named ranges for 2003 and earlier.

2) When mapping them to named ranges for 2003 and earlier, we need to figure out how to handle cases where named range and database range of identical name exist.
Comment 2 Alex Thurgood 2015-01-03 17:40:14 UTC
Adding self to CC if not already on
Comment 3 QA Administrators 2016-01-17 20:02:27 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 13:55:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306